/*
 * DosCamposIgualesDep.java
 *
 * Created on 29 de mayo de 2007, 10:35 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author JSolano
 */
public class DosCamposIgualesDep extends AbstractRule {
	// COL?1=?2 AND (@campo=COL?3)
        @Override
	public boolean performValidation(String field, String[] registro,String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0]).intValue()];
		if (!codigoNovedad.equals((String) getParams()[1])) {
			return false;
		}
		String campo1 = field;
		String campo2 = registro[new Integer((String) getParams()[2]).intValue()];
		return campo1.equals(campo2);
	}

}